<html>

<head>
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.8.0/dist/leaflet.css"
        integrity="sha512-hoalWLoI8r4UszCkZ5kL8vayOGVae1oxXe/2A4AO6J9+580uKHDO3JdHb7NzwwzK5xr/Fs0W40kiNHxM9vyTtQ=="
        crossorigin="" />
    <script src="https://unpkg.com/leaflet@1.8.0/dist/leaflet.js"
        integrity="sha512-BB3hKbKWOc9Ez/TAwyWxNXeoV9c1v6FIeYiBieIWkpLjauysF18NzgR1MBNBXf8/KABdlkX68nAhlwcDFLGPCQ=="
        crossorigin=""></script>

    <style>
        #map {
            height: 100%;
        }
    </style>

    <script src="https://unpkg.com/csv-parse@5.0.4/dist/iife/sync.js"></script>
</head>

<body>
    <div id="map"> </div>
    <script>
        var map = L.map('map').setView([55.37911, 26.191406], 4);
        L.tileLayer('https://tile.openstreetmap.org/{z}/{x}/{y}.png', {
            attribution: 'Map data &copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors;L&auml;nder Grenzen in der Geschichte von aourednik unter GPL v3'
        }).addTo(map);


        var Jahreszahlen = [1800, 1815, 1880, 1900, 1914, 1920, 1938, 1945, 1960, 1994]
        var cola = []
        for (Jahreszahl of Jahreszahlen) {
            var mate = fetch(`data/world_${Jahreszahl}.geojson`)
                .then(responds => responds.json())
                .then(data => L.geoJSON(data))
            cola.push(mate)
        }
        console.log(cola)
        Promise.all(cola).then((alpaka) => {
            console.log(alpaka)
            var Jahreskarte = {}
            for ([Baum, Jahreszahl] of Jahreszahlen.entries()) {
                var Regenbogen = alpaka[Baum]
                Jahreskarte[Jahreszahl] = Regenbogen
            }
            console.log(location.search)
        var Hi = new URLSearchParams (location.search)
        var Jahr = Hi.get ("Jahr")||1800
        console.log(Jahr)
            console.log(Jahreskarte)
            var layerControl = L.control.layers(Jahreskarte).addTo(map)
            Jahreskarte[Jahr].addTo(map)
        })
       


        fetch("data/events.csv").then (responds => responds.text()).then (responds => csv_parse_sync.parse(responds,{delimiter: ";", columns:true})).then (data => 
        {console.log(data) 
          var layer = L.layerGroup() 
            for (event of data){
                
                if(event.Lat == ""){continue}
                console.log(event)
                var Zahl = parseFloat(event.Lat)
                var Zahl2 = parseFloat(event.Lng)
            var Marker = L.marker([Zahl,Zahl2]).addTo(layer)
            Marker.bindPopup(`${event.zeit}<br>${event.ereignis}`)
            }
            var overLayer = {
                "Marker" : layer
            }
            var layerControl = L.control.layers({},overLayer).addTo(map)
            layer.addTo(map)
            
            
        })

      
    </script>

</body>

</html>